package test;

import com.gyee.SpringbootStart;
import lombok.SneakyThrows;
import org.springframework.boot.SpringApplication;

import java.util.ArrayList;
import java.util.List;

public class FileExcelTest {

    @SneakyThrows
    public static void main(String[] args) {

        SpringApplication.run(SpringbootStart.class, args);


        List<String> ls=new ArrayList<>();
        ls.add("MHS_FDC");
        ls.add("NSS_FDC");
        ls.add("QS_FDC");
        ls.add("SBQ_FDC");
        ls.add("XS_FDC");
        ls.add("QS03_GC");
        ls.add("DWK_GDC");
        ls.add("PL01_GC");
        ls.add("PL02_GC");
        ls.add("MCH_GDC");
        ls.add("XH_GDC");


//        for(String wpId:ls)
//        {
//
//            Workbook wb = FileUtils.OpenExcelByFile(wpId);
//
//            Sheet sheet = wb.getSheetAt(0);//第一个
////            Sheet sheet1=wb.getSheet("sheet1");//根据名称读取
//// 默认读取第一个sheet        Sheet sheet = workbook.getSheetAt(0);
//
//            boolean firstRow = true;
//            for (int i = sheet.getFirstRowNum(); i <= sheet.getLastRowNum(); i++) {
//                if(i==0)
//                {
//                    continue;
//                }
//                Row row = sheet.getRow(i);
//                Cell cell0 = row.getCell(0);
//                Cell cell1 = row.getCell(1);
//                if(StringUtils.notEmp(cell0) && StringUtils.notEmp(cell1))
//                {
//                    String pointName = cell0.getStringCellValue(); //点名
//                    String pointValue = cell1.getStringCellValue(); //点值
//                    System.out.println(pointName+"*********"+pointValue);
//                }
//
//            }
//            System.out.println("/*****************************************************************************************************/");
//        }
/*****************************************************************************************************/
    }
}
